import CssBaseline from "@material-ui/core/CssBaseline";
import { action } from '@storybook/addon-actions';
import { Meta } from '@storybook/addon-docs';
import { NumberInput } from './NumberInput';
import { ThemeProvider } from "@material-ui/core/styles";
import { theme } from "../theme";

<Meta title='NumberInput' argTypes={{ onChange: { action: 'changed' } }} />

Basic style

<ThemeProvider theme={theme}>
  <CssBaseline />
  <NumberInput
    min={1}
    max={10}
    value={3}
    onChange={action('onChange')}
  />
  <NumberInput
    min={1}
    max={10}
    value={1}
    onChange={action('onChange')}
  />
  <NumberInput
    min={1}
    max={10}
    value={10}
    onChange={action('onChange')}
  />
</ThemeProvider>
